Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.pojo
Class DipendenteSSR

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.pojo.DipendenteSSR

    public class DipendenteSSR

extends java.lang.Object

Servizi esposti dalla componente DipendenteSSR

Constructor Summary
`DipendenteSSR()`

Method Summary
`DipendenteResponse` | `getDipendente(AttributiAutorizzativi attributiAutorizzativi, DipendenteRequest filtriDipendente)` Il servizio consente di ritrovare tutti i dati sulla posizione anagrafica di un dipendente.
`ElencoDipendentiResponse` | `getElencoDipendenti(AttributiAutorizzativi attributiAutorizzativi, ElencoDipendentiRequest filtriDipendenti)` Il servizio restituisce l'elenco dei dipendenti che soddisfano i parametri di ricerca in input.
`ElencoDipendentiPerStrutturaResponse` | `getElencoDipendentiPerStruttura(AttributiAutorizzativi attributiAutorizzativi, ElencoDipendentiPerStrutturaRequest filtriDipendenti)` Il servizio restituisce l'elenco dei dipendenti che soddisfano i parametri di ricerca in input.
`NuovoDipendenteResponse` | `setNuovoDipendente(AttributiAutorizzativi attributiAutorizzativi, NuovoDipendenteRequest nuovoDipendente)` Il servizio consente alle aziende sanitarie di registrare le informazioni relative ad un nuovo dipendente assunto e registrato sui loro sistemi locali di gestione del personale.
`VariazioneCostoResponse` | `setVariazioneCosto(AttributiAutorizzativi attributiAutorizzativi, VariazioneCostoRequest variazioneCosto)` Il servizio consente di registrare gli aggiornamenti del costo totale mensile sostenuto da un'azienda per un proprio dipendente.
`VariazioniRapportoLavoroResponse` | `setVariazioniRapportoLavoro(AttributiAutorizzativi attributiAutorizzativi, VariazioniRapportoLavoroRequest variazioniRapportoLavoro)` Il servizio consente di registrare gli aggiornamenti sul rapporto di lavoro di un dipendente di un'azienda sanitaria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DipendenteSSR

    public DipendenteSSR()

Method Detail

### getElencoDipendenti

    public ElencoDipendentiResponse getElencoDipendenti(AttributiAutorizzativi attributiAutorizzativi,
                                                        ElencoDipendentiRequest filtriDipendenti)

  Il servizio restituisce l'elenco dei dipendenti che soddisfano i parametri di ricerca in input.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `filtriDipendenti` - filtri di ricerca dei dipendenti.
  Returns:
    ElencoDipendentiResponse lista dei dipendenti.
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si è verificato un errore nel sistema.
    - 001514: Richiesta non valida.

### getElencoDipendentiPerStruttura

    public ElencoDipendentiPerStrutturaResponse getElencoDipendentiPerStruttura(AttributiAutorizzativi attributiAutorizzativi,
                                                                                ElencoDipendentiPerStrutturaRequest filtriDipendenti)

  Il servizio restituisce l'elenco dei dipendenti che soddisfano i parametri di ricerca in input.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `filtriDipendenti` - filtri di ricerca dei dipendenti.
  Returns:
    ElencoDipendentiPerStrutturaResponse lista dei dipendenti.
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000001: Dato non valido: indicare o la qualifica o la posizione funzionale.
    - 000002: Manca un dato obbligatorio.
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 002803: Non esiste nessuna struttura corrispondente all''istituto di ricovero selezionato e/o al reparto/servizio indicato.
    - 100000: Si è verificato un errore nel sistema.
    - 001514: Richiesta non valida.

### getDipendente

    public DipendenteResponse getDipendente(AttributiAutorizzativi attributiAutorizzativi,
                                            DipendenteRequest filtriDipendente)

  Il servizio consente di ritrovare tutti i dati sulla posizione anagrafica di un dipendente.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `filtriDipendente` - filtri di ricerca del dipendente.
  Returns:
    DipendenteResponse dati del dipendente.
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Si è verificato un errore nel sistema.
    - 001514: Richiesta non valida.

### setNuovoDipendente

    public NuovoDipendenteResponse setNuovoDipendente(AttributiAutorizzativi attributiAutorizzativi,
                                                      NuovoDipendenteRequest nuovoDipendente)

  Il servizio consente alle aziende sanitarie di registrare le informazioni relative ad un nuovo dipendente assunto e registrato sui loro sistemi locali di gestione del personale.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `nuovoDipendente` - nuovo dipendente da registrare .
  Returns:
    NuovoDipendenteResponse esito della registrazione.
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 100000: Si è verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 000001: Dato non valido.
    - 000002: Manca un dato obbligatorio.
    - 000003: Inserire correttamente la data specificando GG MM AAAA.
    - 000008: La data inserita non è valida poiché successiva a quella odierna.
    - 000022: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi.
    - 000082: Dato non compatibile con il codice fiscale inserito.
    - 000156: La cancellazione non può essere eseguita perché nessun elemento corrispondente è presente in archivio. Verificare la correttezza dei dati relativi all'elemento scelto per la cancellazione.
    - 001642: L'elemento non esiste in archivio.
    - 001646: L'ente di provenienza deve essere specificato se la modalità di assunzione è mobilità intercompartimentale.
    - 001813: La data deve essere successiva o uguale alla data di assunzione.
    - 001853: La modalita' di assunzione selezionata e' ammissibile per un rapporto di lavoro con tipo di durata a tempo determinato.
    - 001854: La matricola indicata risulta gia' associata ad un altro dipendente della stessa azienda sanitaria.
    - 001929: Il dipendente ha già un rapporto di impiego attivo presso l'azienda sanitaria.
    - 002672: La data di fine conferimento incarico D-Ds non deve essere precedente alla data di inizio conferimento incarico D-Ds.
    - 002673: La posizione economica può essere avvalorata solo per il comparto.
    - 002694: Il codice regionale unità operativa di appartenenza deve essere avvalorata soltato nel caso di tipologia unità operativa articolazione di altra struttura.
    - 002696: Non esiste nessun codice regionale di struttura organizzativa corrispondente al tipo di struttura indicata.
    - 002697: Il codice unità operativa non è conforme al codice tipologia struttura indicata.
    - 002698: Il codice regionale dell'unità operativa di appartenenza indicata non esiste in archivio.
    - 002699: Non esistono tipologie di unita operative per il codice tipologia struttura indicato.
    - 002700: Il codice regionale dell'unità operativa indicata non esiste in archivio.
    - 303711: La disciplina deve essere specificata per ruolo sanitario e profilo professionale medico.
    - 303742: Il dipendente ha un rapporto di lavoro in corso con l'azienda sanitaria.
    - 303763: La data di inizio assegnazione deve essere precedente o uguale alla data di assunzione.
    - 360021: La data fine non può essere antecedente alla data inizio.

### setVariazioniRapportoLavoro

    public VariazioniRapportoLavoroResponse setVariazioniRapportoLavoro(AttributiAutorizzativi attributiAutorizzativi,
                                                                        VariazioniRapportoLavoroRequest variazioniRapportoLavoro)

  Il servizio consente di registrare gli aggiornamenti sul rapporto di lavoro di un dipendente di un'azienda sanitaria.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `variazioniRapportoLavoro` - variazioni del rapporto di lavoro.
  Returns:
    VariazioniRapportoLavoroResponse esito della registrazione.
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 100000: Si è verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 000001: Dato non valido.
    - 000002: Manca un dato obbligatorio.
    - 000003: Inserire correttamente la data specificando GG MM AAAA.
    - 000008: La data inserita non è valida poiché successiva a quella odierna.
    - 000022: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi.
    - 000082: Dato non compatibile con il codice fiscale inserito.
    - 001645: L'azienda sanitaria di provenienza deve essere specificata se la modalità di assunzione è mobilità compartimentale.
    - 001646: L'ente di provenienza deve essere specificato se la modalità di assunzione è mobilità intercompartimentale.
    - 001813: La data deve essere successiva o uguale alla data di assunzione.
    - 001853: La modalita' di assunzione selezionata e' ammissibile per un rapporto di lavoro con tipo di durata a tempo determinato.
    - 001866: La data di inizio conferimento della categoria D-Ds deve essere successiva o uguale alla data di inizio inquadramento contrattuale.
    - 001958: Il periodo di aspettativa specificato si sovrappone all'ultimo periodo di aspettativa già presente per lo stesso rapporto di lavoro.
    - 001960: Si sta tentando di modificare un inquadramento precedente all'ultimo o si sta aggiornando la data di assegnazione con una data non compatibile con gli altri incarichi.
    - 001963: Attenzione, per inserire/modificare un inquadramento contrattuale occorre specificare la qualifica nel caso di comparto o la tipologia di incarico per la dirigenza.
    - 001964: Non è possibile effettuare l'aggiornamento dell'inqudramento contrattuale, il dipendente ha un inquadramento di dirigenza, i dati specificati si riferiscono al comparto.
    - 001965: Non è possibile effettuare l'aggiornamento dell'inqudramento contrattuale, il dipendente ha un inquadramento di tipo comparto, i dati specificati si riferiscono alla dirigenza
    - 002172: Non è possibile variare il costo per il dipendente, sono stati specificati più importi arretrati per lo stesso anno solare.
    - 002179: Non è possibile specificare un importo arretrato per l'anno di competenza successivo a quello di inzio costo totale.
    - 303711: La disciplina deve essere specificata per ruolo sanitario e profilo professionale medico.
    - 303716: La data di fine deve essere successiva o uguale alla data di inizio.
    - 303725: La data di inizio del rapporto di lavoro deve essere successiva alla data di cessazione del rapporto di lavoro precedente.
    - 303742: Il dipendente ha un rapporto di lavoro in corso con l'azienda sanitaria.
    - 303756: E' stato confermato l'ultimo inquadramento; la data di inizio non deve essere modificata.
    - 303759: Il dipendente risulta in trasferimento presso un'altra Azienda Sanitaria.
    - 303760: La data di inizio assegnazione deve essere successiva alla data di fine assegnazione del precedente inquadramento.
    - 303763: La data di inizio assegnazione deve essere precedente o uguale alla data di assunzione.
    - 303764: Il campo Numero Distretto deve essere avvalorato solo nel caso in cui la Struttura Operativa è un Distretto Socio Sanitario.
    - 303765: Per una Unita Operativa Stabilimento Ospedaliero deve essere valorizzato il campo.
    - 303766: Il campo Codice DIMT deve essere avvalorato solo nel caso in cui la Struttura Operativa è un DIMT.
    - 303776: I campi tipologia incarico e qualifica non devono essere entrambi valorizzati.
    - 303778: Nell'azienda sanitaria non è presente.
    - 303779: Nella struttura operativa non è presente l'unità operativa.
    - 303780: La data di inizio validità deve essere successiva o uguale alla data di assunzione.
    - 303782: Per il dipendente non sono in atto variazioni dell'inquadramento contrattuale, pertanto il campo non deve essere valorizzato.
    - 303787: L'unità operativa e la struttura operativa non appartengono all'Azienda Sanitaria.
    - 303796: Il campo non deve essere valorizzato per un inquadramento dirigenza.
    - 303797: Il campo non deve essere valorizzato per un inquadramento comparto.
    - 303798: L'inquadramento specificato non e' valido.
    - 000166: L'operazione di inserimento non può essere eseguita poiché l'elemento è già presente in archivio.
    - 001855: La variazione ricade erroneamente in un periodo di aspettativa.
    - 303717: La data deve essere successiva o uguale alla data di assunzione del rapporto di lavoro.
    - 303768: Il codice fiscale non corrisponde a nessun dipendente registrato nel sistema.
    - 303769: La data di assunzione non corrisponde a nessun rapporto di lavoro registrato per il dipendente SSR.
    - 303771: Il rapporto di lavoro risulta chiuso.
    - 303772: Il rapporto di lavoro risulta instaurato presso l'Azienda Sanitaria.
    - 303773: La data di inizio validità deve essere successiva alla data.

### setVariazioneCosto

    public VariazioneCostoResponse setVariazioneCosto(AttributiAutorizzativi attributiAutorizzativi,
                                                      VariazioneCostoRequest variazioneCosto)

  Il servizio consente di registrare gli aggiornamenti del costo totale mensile sostenuto da un'azienda per un proprio dipendente.

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione.
    `variazioneCosto` - variazioni di costo.
  Returns:
    VariazioneCostoResponse esito della registrazione.
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 100000: Si è verificato un errore nel sistema.
    - 001514: Richiesta non valida.
    - 000001: Dato non valido.
    - 000002: Manca un dato obbligatorio.
    - 000003: Inserire correttamente la data specificando GG MM AAAA.
    - 000008: La data inserita non è valida poiché successiva a quella odierna.
    - 000022: Il codice fiscale inserito è sbagliato; verificare la correttezza della sintassi.
    - 000166: L'operazione di inserimento non può essere eseguita poiché l'elemento è già presente in archivio.
    - 001855: La variazione ricade erroneamente in un periodo di aspettativa.
    - 303717: La data deve essere successiva o uguale alla data di assunzione del rapporto di lavoro.
    - 303768: Il codice fiscale non corrisponde a nessun dipendente registrato nel sistema.
    - 303769: La data di assunzione non corrisponde a nessun rapporto di lavoro registrato per il dipendente SSR.
    - 303771: Il rapporto di lavoro risulta chiuso.
    - 303772: Il rapporto di lavoro risulta instaurato presso l'Azienda Sanitaria.
    - 303773: La data di inizio validità deve essere successiva alla data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD